#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */


// FBI mode    
void System_FBI_Init(void)
{
	
	ICSC1 |= 0x78;  // INTERNAL  32.768K Hz, RDIV=7;
	ICSC2 &= 0x3f;  // BDIV =0,divide 1  
	 
	// ICSOUT:32kHz
}

//FBILP mode 
void System_FBILP_32k_Init(void)
{
	
	ICSC1 |= 0x40;   // Internal clock 
	ICSC2 |= 0x08;   // LP =1; Low power select
	ICSC2 &= 0x3f;  // BDIV =0,divide 1 	
	
	// ICSOUT: 32kHz	
}

void System_FBILP_16K_Init(void)
{

	ICSC1 |= 0x40;   // Internal clock 
	ICSC2 |= 0x08;   // LP =1; Low power select
	//ICSC2 &= 0x3f;  // default: BDIV =1,divide 2 
		
	// ICSOUT: 16kHz	
}



void main(void) {
	
	DisableInterrupts;

	 SOPT1 &=~0x80;	  // Disable COP Watchdog
	 
 /*Disable clock to all unused modules*/
		SCGC1 = 0x00; 
		SCGC2 = 0x00; 
		
 /*Enable pull ups on all pins*/		
		  PTAPE=0xFF;
		  PTBPE=0xFF;
		  PTCPE=0xFF; 

    System_FBILP_32k_Init();	//32K, supply power 3.3V, current: 136.4uA
 //   System_FBILP_16K_Init();	//16K, supply power 3.3V, current: 134.2uA


  for(;;) {
    //__RESET_WATCHDOG();	/* feeds the dog */
  } /* loop forever */
  /* please make sure that you never leave main */
}
